<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/expansionobjectset.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d42/a01259_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionobjectset.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d42/a01259.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionObjectSet.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d65/a05074.html">ExpansionObjectSet</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">   15</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">m_FileName</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#a982af88e3062007d7b00a9c7ca7cd86a">   16</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d9/d65/a05074.html#a982af88e3062007d7b00a9c7ca7cd86a">m_FilePath</a>;<span class="comment"></span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">    //! All objects from the loaded file that got created</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#addb76d2d15e39d4091e429688294f427">   18</a></span><span class="comment"></span>    <span class="keyword">private</span> ref array&lt;Object&gt; <a class="code hl_variable" href="../../d9/d65/a05074.html#addb76d2d15e39d4091e429688294f427">m_Objects</a> = <span class="keyword">new</span> array&lt;Object&gt;;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#ac0d25871fa7e7664d221980b71cc593a">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d65/a05074.html#ac0d25871fa7e7664d221980b71cc593a">ExpansionObjectSet</a>(<span class="keywordtype">string</span> filePath, <span class="keywordtype">string</span> fileName)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d9/d65/a05074.html#a982af88e3062007d7b00a9c7ca7cd86a">m_FilePath</a> = filePath;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">m_FileName</a> = fileName;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#a2e8ae25065447cd0cbc45d7bfd747273">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d65/a05074.html#a2e8ae25065447cd0cbc45d7bfd747273">~ExpansionObjectSet</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d9/d65/a05074.html#afa3a6ea200063072f72c67f01f5a8f04">Delete</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#afa3a6ea200063072f72c67f01f5a8f04">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d65/a05074.html#afa3a6ea200063072f72c67f01f5a8f04">Delete</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">foreach</span> (Object obj: <a class="code hl_variable" href="../../d9/d65/a05074.html#addb76d2d15e39d4091e429688294f427">m_Objects</a>)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            GetGame().ObjectDelete(obj);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../d9/d65/a05074.html#addb76d2d15e39d4091e429688294f427">m_Objects</a>.Clear();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#a8b98b4c7fcb5d5b8932573a5000bc4bf">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d65/a05074.html#a8b98b4c7fcb5d5b8932573a5000bc4bf">SpawnObjects</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordtype">string</span> filePath = <a class="code hl_function" href="../../d9/d65/a05074.html#a78ee4ae538a30fddada7c7950495577e">GetFilePath</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> (!FileExist(filePath))</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_class" href="../../d1/d1f/a05078.html">ExpansionObjectSpawnTools</a>.LoadObjectsFile(filePath, <a class="code hl_variable" href="../../d9/d65/a05074.html#addb76d2d15e39d4091e429688294f427">m_Objects</a>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/d65/a05074.html#a78ee4ae538a30fddada7c7950495577e">   51</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d65/a05074.html#a78ee4ae538a30fddada7c7950495577e">GetFilePath</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordtype">int</span> trimSize = <a class="code hl_variable" href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">m_FileName</a>.Length() - <a class="code hl_variable" href="../../da/d28/a09115.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a>.Length();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordtype">string</span> fileformat = <a class="code hl_variable" href="../../da/d28/a09115.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">m_FileName</a>.IndexOf(<a class="code hl_variable" href="../../da/d28/a09115.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a>) == trimSize )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            fileformat = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d65/a05074.html#a982af88e3062007d7b00a9c7ca7cd86a">m_FilePath</a> + <a class="code hl_variable" href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">m_FileName</a> + fileformat;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>};</div>
<div class="ttc" id="aa05074_html"><div class="ttname"><a href="../../d9/d65/a05074.html">ExpansionObjectSet</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00013">expansionobjectset.c:14</a></div></div>
<div class="ttc" id="aa05074_html_a0e164dc377d0c7f8a2655c30f6057651"><div class="ttname"><a href="../../d9/d65/a05074.html#a0e164dc377d0c7f8a2655c30f6057651">ExpansionObjectSet::m_FileName</a></div><div class="ttdeci">private string m_FileName</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00015">expansionobjectset.c:15</a></div></div>
<div class="ttc" id="aa05074_html_a2e8ae25065447cd0cbc45d7bfd747273"><div class="ttname"><a href="../../d9/d65/a05074.html#a2e8ae25065447cd0cbc45d7bfd747273">ExpansionObjectSet::~ExpansionObjectSet</a></div><div class="ttdeci">void ~ExpansionObjectSet()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00026">expansionobjectset.c:26</a></div></div>
<div class="ttc" id="aa05074_html_a78ee4ae538a30fddada7c7950495577e"><div class="ttname"><a href="../../d9/d65/a05074.html#a78ee4ae538a30fddada7c7950495577e">ExpansionObjectSet::GetFilePath</a></div><div class="ttdeci">string GetFilePath()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00051">expansionobjectset.c:51</a></div></div>
<div class="ttc" id="aa05074_html_a8b98b4c7fcb5d5b8932573a5000bc4bf"><div class="ttname"><a href="../../d9/d65/a05074.html#a8b98b4c7fcb5d5b8932573a5000bc4bf">ExpansionObjectSet::SpawnObjects</a></div><div class="ttdeci">void SpawnObjects()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00041">expansionobjectset.c:41</a></div></div>
<div class="ttc" id="aa05074_html_a982af88e3062007d7b00a9c7ca7cd86a"><div class="ttname"><a href="../../d9/d65/a05074.html#a982af88e3062007d7b00a9c7ca7cd86a">ExpansionObjectSet::m_FilePath</a></div><div class="ttdeci">private string m_FilePath</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00016">expansionobjectset.c:16</a></div></div>
<div class="ttc" id="aa05074_html_ac0d25871fa7e7664d221980b71cc593a"><div class="ttname"><a href="../../d9/d65/a05074.html#ac0d25871fa7e7664d221980b71cc593a">ExpansionObjectSet::ExpansionObjectSet</a></div><div class="ttdeci">void ExpansionObjectSet(string filePath, string fileName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00020">expansionobjectset.c:20</a></div></div>
<div class="ttc" id="aa05074_html_addb76d2d15e39d4091e429688294f427"><div class="ttname"><a href="../../d9/d65/a05074.html#addb76d2d15e39d4091e429688294f427">ExpansionObjectSet::m_Objects</a></div><div class="ttdeci">private ref array&lt; Object &gt; m_Objects</div><div class="ttdoc">All objects from the loaded file that got created.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00018">expansionobjectset.c:18</a></div></div>
<div class="ttc" id="aa05074_html_afa3a6ea200063072f72c67f01f5a8f04"><div class="ttname"><a href="../../d9/d65/a05074.html#afa3a6ea200063072f72c67f01f5a8f04">ExpansionObjectSet::Delete</a></div><div class="ttdeci">void Delete()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/a01259_source.html#l00031">expansionobjectset.c:31</a></div></div>
<div class="ttc" id="aa05078_html"><div class="ttname"><a href="../../d1/d1f/a05078.html">ExpansionObjectSpawnTools</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d53/a01262_source.html#l00013">expansionobjectspawntools.c:14</a></div></div>
<div class="ttc" id="aa09115_html_a893578234d6be0cb71f3fae0d0aca300"><div class="ttname"><a href="../../da/d28/a09115.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a></div><div class="ttdeci">static const string EXPANSION_MAPPING_EXT</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d28/a09115_source.html#l00095">expansionconstants.c:95</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dd/d42/a01259.html">expansionobjectset.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
